#include "channelheaderview.h"
using Xybrid::UI::ChannelHeaderView;
using Xybrid::UI::ChannelHeaderItemDelegate;

#include "ui/patterneditormodel.h"

#include <QDebug>
#include <QTextEdit>

ChannelHeaderView::ChannelHeaderView(QWidget *parent) : QHeaderView(Qt::Horizontal, parent) {
    //
}

/*QWidget* ChannelHeaderItemDelegate::createEditor(QWidget *parent, const QStyleOptionViewItem &option [[maybe_unused]], const QModelIndex &index) const {
    qDebug() << QString("trying edit");
    auto e = new QTextEdit(parent);
    return e;
}*/
